> ## Documentation Index > Fetch the complete documentation index at: https://bunny.net/docs/llms.txt > Use this file to discover all available pages before exploring further. # Get Singular Shield Zone Configuration for PullZone ## OpenAPI ````yaml https://api.bunny.net/shield/docs/v1/swagger.json get /shield/shield-zone/get-by-pullzone/{pullZoneId} openapi: 3.0.4 info: title: Bunny Shield API description: >- Bunny.net API for Bunny Shield (WAF, DDoS, Rate Limiting, Bot Detection, Access Lists & API Guardian). version: v1 servers: - url: https://api.bunny.net security: [] paths: /shield/shield-zone/get-by-pullzone/{pullZoneId}: get: tags: - Shield Zone summary: Get Singular Shield Zone Configuration for PullZone operationId: Get Shield Zone Configuration by Pull Zone parameters: - name: pullZoneId in: path description: The ID of the PullZone. required: true schema: type: integer description: The ID of the PullZone. format: int32 responses: '200': description: OK content: text/plain: schema: $ref: '#/components/schemas/GetShieldZoneResponse' application/json: schema: $ref: '#/components/schemas/GetShieldZoneResponse' text/json: schema: $ref: '#/components/schemas/GetShieldZoneResponse' '202': description: Accepted content: text/plain: schema: $ref: '#/components/schemas/AcceptedResult' application/json: schema: $ref: '#/components/schemas/AcceptedResult' text/json: schema: $ref: '#/components/schemas/AcceptedResult' '401': description: Unauthorized content: text/plain: schema: $ref: '#/components/schemas/ProblemDetails' application/json: schema: $ref: '#/components/schemas/ProblemDetails' text/json: schema: $ref: '#/components/schemas/ProblemDetails' '500': description: Internal Server Error components: schemas: GetShieldZoneResponse: type: object properties: data: $ref: '#/components/schemas/ShieldZoneResponse' additionalProperties: false AcceptedResult: type: object properties: location: type: string nullable: true value: nullable: true formatters: type: array items: $ref: '#/components/schemas/IOutputFormatter' nullable: true contentTypes: type: array items: type: string nullable: true declaredType: type: string nullable: true statusCode: type: integer format: int32 nullable: true additionalProperties: false ProblemDetails: type: object properties: type: type: string nullable: true title: type: string nullable: true status: type: integer format: int32 nullable: true detail: type: string nullable: true instance: type: string nullable: true additionalProperties: {} ShieldZoneResponse: type: object properties: shieldZoneId: type: integer format: int64 pullZoneId: type: integer format: int64 nullable: true learningMode: type: boolean nullable: true learningModeUntil: type: string format: date-time nullable: true wafEnabled: type: boolean nullable: true wafExecutionMode: $ref: '#/components/schemas/WAFExecutionMode' wafDisabledRules: uniqueItems: true type: array items: type: string nullable: true wafLogOnlyRules: uniqueItems: true type: array items: type: string nullable: true wafCustomRuleOrder: type: array items: type: integer format: int64 nullable: true wafRequestHeaderLoggingEnabled: type: boolean requestBodyLoggingEnabled: type: boolean wafRequestIgnoredHeaders: uniqueItems: true type: array items: type: string nullable: true wafRealtimeThreatIntelligenceEnabled: type: boolean nullable: true wafProfileId: type: integer format: int32 nullable: true wafEngineConfig: type: array items: $ref: '#/components/schemas/PullZoneWafConfigVariableModel' nullable: true wafRequestBodyLimitAction: $ref: '#/components/schemas/WAFPayloadLimitAction' wafResponseBodyLimitAction: $ref: '#/components/schemas/WAFPayloadLimitAction' rateLimitRulesLimit: type: integer format: int32 customWafRulesLimit: type: integer format: int32 planType: $ref: '#/components/schemas/ShieldPlanType' dDoSShieldSensitivity: $ref: '#/components/schemas/DDoSShieldSensitivity' dDoSExecutionMode: $ref: '#/components/schemas/DDoSExecutionMode' dDoSChallengeWindow: type: integer format: int32 nullable: true whitelabelResponsePages: type: boolean nullable: true additionalProperties: false IOutputFormatter: type: object additionalProperties: false WAFExecutionMode: enum: - 0 - 1 type: integer description: |- 0 = Log 1 = Block format: int32 x-enum-varnames: - Log - Block PullZoneWafConfigVariableModel: required: - name - valueEncoded type: object properties: name: type: string nullable: true valueEncoded: type: string nullable: true additionalProperties: false WAFPayloadLimitAction: enum: - 0 - 1 - 2 type: integer description: |- 0 = Block 1 = Log 2 = Ignore format: int32 x-enum-varnames: - Block - Log - Ignore ShieldPlanType: enum: - 0 - 1 - 2 - 3 type: integer description: |- 0 = Basic 1 = Advanced 2 = Business 3 = Enterprise format: int32 x-enum-varnames: - Basic - Advanced - Business - Enterprise DDoSShieldSensitivity: enum: - 0 - 1 - 2 - 3 - 4 - 5 type: integer description: |- 0 = Off 1 = Low 2 = Medium 3 = High 4 = Challenge 5 = ChallengeInteractive format: int32 x-enum-varnames: - 'Off' - Low - Medium - High - Challenge - ChallengeInteractive DDoSExecutionMode: enum: - 0 - 1 type: integer description: |- 0 = Log 1 = Block format: int32 x-enum-varnames: - Log - Block ```` This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.